Get Databricks Metric View publication settings
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/databricks-metric-view-integrations/{dataSourceName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configuration": {
"deletionPolicy": "retain",
"enabled": true,
"selectionMode": "all",
"targetCatalog": "<string>",
"targetSchema": "<string>",
"version": 1,
"sourceOverrides": {},
"targetNamePrefix": "<string>",
"targetNames": {},
"viewNameRegex": "<string>",
"viewNames": [
"<string>"
]
},
"configurationVersion": 123,
"createdAt": "2023-12-25",
"dataSourceName": "<string>",
"deploymentId": 123,
"publicId": "<string>",
"updatedAt": "2023-12-25",
"accessTest": {}
}Databricks Metric View Integration
Get Databricks Metric View publication settings
GET
/
api
/
v1
/
deployments
/
{deploymentId}
/
databricks-metric-view-integrations
/
{dataSourceName}
Get Databricks Metric View publication settings
Requires a Databricks datasource. This is currently in preview — reach out to the Cube support team to activate it for your account.
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Response
200 - application/json